Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer.impl
Class ReaderLineSource

    java.lang.Object
      net.sf.colorer.impl.ReaderLineSource

All Implemented Interfaces:
  LineSource

    public class ReaderLineSource

extends java.lang.Object
implements LineSource

Implements LineSource interface, reading data from passed Reader stream.

Constructor Summary
`ReaderLineSource(java.io.Reader reader)`

Method Summary
`java.lang.String` | `getLine(int lno)` Line request method
`int` | `getLineCount()` Returns total line count in passed reader

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReaderLineSource

    public ReaderLineSource(java.io.Reader reader)

Method Detail

### getLineCount

    public int getLineCount()

  Returns total line count in passed reader

### getLine

    public java.lang.String getLine(int lno)

  Description copied from interface: `LineSource`
  Line request method

  Specified by:
    `getLine` in interface `LineSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.